# smbrun (1)

## Samba

## 23 Oct 1998

## NAME

smbrun - interface program between smbd and external programs

## SYNOPSIS

smbrun shell-command

## DESCRIPTION

This program is part of the Samba suite.

smbrun is a very small 'glue' program, which runs shell commands for the smbd daemon smbd (8).

It first changes to the highest effective user and group ID that it can, then runs the command line provided using the system() call. This program is necessary to allow some operating systems to run external programs as non-root.

## OPTIONS

shell-command
  The shell command to execute. The command should have a fully-qualified path.

## ENVIRONMENT VARIABLES

The PATH variable set for the environment in which smbrun is executed will affect what executables are located and executed if a fully-qualified path is not given in the command.

## DIAGNOSTICS

If smbrun cannot be located or cannot be executed by smbd then appropriate messages will be found in the smbd logs. Other diagnostics are dependent on the shell-command being run. It is advisable for your shell commands to issue suitable diagnostics to aid trouble-shooting.

## VERSION

This man page is correct for version 2.0 of the Samba suite.

## SEE ALSO

smb.conf (5), smbd (8)

## AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell samba@samba.org. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.

The original Samba man pages were written by Karl Auer. The man page sources were converted to YODL format (another excellent piece of Open Source software, available at ftp://ftp.icce.rug.nl/pub/unix/) and updated for the Samba2.0 release by Jeremy Allison. samba@samba.org.

See samba (7) to find out how to get a full list of contributors and details on how to submit bug reports, comments etc.